# OutputFormat

class xsdata.models.config.OutputFormat(value='dataclasses', repr=True, eq=True, order=False, unsafe_hash=False, frozen=False, slots=False, kw_only=False)

  Output format options.

  Parameters

    - value (`str`) – Output format name, default: dataclasses

    - repr (`bool`) – Generate __repr__ method, default: true

    - eq (`bool`) – Generate __eq__ method, default: true

    - order (`bool`) – Generate __lt__, __le__, __gt__, and __ge__ methods, default: false

    - unsafe_hash (`bool`) – Generate __hash__ method if not frozen, default: false

    - frozen (`bool`) – Enable read only properties, default false

    - slots (`bool`) – Enable __slots__, default: false, python>=3.10 Only

    - kw_only (`bool`) – Enable keyword only arguments, default: false, python>=3.10 Only

  __eq__(other)

    Return self==value.

  __hash__ = None